import java.awt.*;
import java.awt.geom.*;

public class KREIS{

    private int radius;
    int xPosition;
    int yPosition;
    String fuellfarbe;
    boolean istSichtbar;
       
    KREIS(){
        radius = 30;
        xPosition = 40;
        yPosition = 60;
        fuellfarbe = "red";
        istSichtbar = true;
    }
   
    void sichtbarMachen(){
        istSichtbar = true;
        zeichnen();
    }
    
    void unsichtbarMachen(){
        loeschen();
        istSichtbar = false;
    }
    
    void bewegeHorizontal(int strecke){
        xPosition = xPosition + strecke;
        zeichnen();   
    }

    //ndert die Farbe. Erlaubt sind "red", "yellow", "blue", "green", "magenta" und "black".
    void fuellfarbeSetzen(String neueFarbe){
        fuellfarbe = neueFarbe;
        zeichnen();
    }

    //Zeichnet den Kreis auf die Leinwand (Canvas)
    private void zeichnen(){
        if(istSichtbar) {
            Canvas canvas = Canvas.getCanvas();
            canvas.draw(this, fuellfarbe, new Ellipse2D.Double(xPosition, yPosition, 
                                                          radius*2, radius*2));
            canvas.wait(10);
        }
    }

    //Entfernt den Kreis von der Leinwand (Canvas)
    private void loeschen(){
        if(istSichtbar) {
            Canvas canvas = Canvas.getCanvas();
            canvas.erase(this);
        }
    }
} //Ende der Klasse KREIS
